part of '../auth.dart';

@freezed
class CheckPhone with _$CheckPhone {
  const factory CheckPhone({
    required String status,
    required String message,
    required String phoneNumber,
  }) = _CheckPhone;

  factory CheckPhone.empty() =>
      const CheckPhone(status: '', message: '', phoneNumber: '');
}
